/*
 * mainAppli.c
 *
 *  Created on: Apr 16, 2023
 *      Author: Flax
 *
 *      Prefix : MAIN
 */


// ==============
// Local includes
// ==============
#include "hmi.h"
#include "temperatureRegulation.h"
#include "save.h"

// ===============
// Local constants
// ===============

// ==========================
// Local functions prototypes
// ==========================

// ===========================
// Local functions definitions
// ===========================

// ============================
// Shared functions definitions
// ============================

void MAINInit (void)
{
	HMIInit();
	REGInit();
	SAVInit();
}

void MAINStart (void)
{
	HMIStart();
	REGStart();
	SAVStart();
}

void MAINStop (void)
{
	SAVStop();
	REGStop();
	HMIStop();
}

void MAINCyclicTask (void)
{
	HMICyclicTask();
	REGCyclicTask();
	SAVCyclicTask();
}
